githubEdit

Set to Cool Mode

POST /thermostats/cool β‡’ { action_attempt }

Sets a specified thermostatarrow-up-right to cool modearrow-up-right.

Request

await seam.thermostats.cool({
  device_id: "123e4567-e89b-12d3-a456-426614174000",
  cooling_set_point_celsius: 25,
});

Response

{
  "action_attempt_id": "123e4567-e89b-12d3-a456-426614174000",
  "status": "pending",
  "action_type": "SET_COOL"
}

Request Parameters

cooling_set_point_celsius

Type: number Required: No

Desired cooling set point in Β°C. You must set one of the cooling_set_point parameters.


cooling_set_point_fahrenheit

Type: number Required: No

Desired cooling set point in Β°F. You must set one of the cooling_set_point parameters.


device_id

Type: string Required: Yes

ID of the desired thermostat device.


Return Type

action_attempt

Last updated

Was this helpful?